// creator  : weidu.exe (version 23600)
// argument : SIRLOT.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~SIRLOT~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #17039 /* ~Hmph. I bet you aren't going to the inauguration ceremony.~ */
  IF ~~ THEN REPLY #17040 /* ~What inauguration ceremony?~ */ GOTO 1
  IF ~~ THEN REPLY #17041 /* ~I've got an invitation just like everyone else in this town, so shove it.~ */ GOTO 5
  IF ~~ THEN REPLY #17042 /* ~I'd like to but I don't have an invitation yet.~ */ GOTO 11
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #17043 /* ~They're crowning Sarevok as the new Grand Duke. Anyone who's anyone knows that.~ */
  IF ~~ THEN REPLY #17044 /* ~Sarevok? What do you think of him?~ */ GOTO 2
  IF ~~ THEN REPLY #17045 /* ~Lookit, I'm not here to be pushed around by some two-bit hustler in a clown suit, all right?~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #17046 /* ~This city needs a strong hand to get rid of riff-raff like yourselves. Personally, I think he'll do wonderfully.~ */
  IF ~~ THEN REPLY #17047 /* ~You have no idea what you're getting yourselves into. Sarevok is no leader. He is a tyrant and must be stopped.~ */ GOTO 3
  IF ~~ THEN REPLY #17048 /* ~Hail Sarevok! May he breathe wealth and power into this city.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #17049 /* ~Blah, blah, blah... You groundlings are all the same. Go fight your petty revolution elsewhere.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #17050 /* ~Hail Sarevok.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.1
  SAY #17051 /* ~Pity. This city has lost all sense of proper standards and etiquette... Sarevok will change that, I have no doubt.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 1.1
  SAY #1371 /* ~Why you—~ */
  IF ~~ THEN REPLY #17055 /* ~Go to the stupid inauguration, then. I've got better things to do with my time.~ */ GOTO 8
  IF ~~ THEN REPLY #17067 /* ~Please, you must help me get into that inauguration ceremony. I pray to all the gods that act kindly upon me now.~ */ GOTO 12
END

IF ~~ THEN BEGIN 7 // from: 11.0
  SAY #17057 /* ~Don't make me laugh, peasant...~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 11.1 6.0
  SAY #17058 /* ~Hmph. Like playing in the sewers, I suppose...~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 11.2
  SAY #17059 /* ~I know your type. All words and no action. Go ahead, take your best shot!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~  False()
~ THEN BEGIN 10 // from: 11.3
  SAY #17060 /* ~Why the gall of you... Guards! Guards! Seize these vandals!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 0.2
  SAY #17061 /* ~And thank the gods for that! Rubbing shoulders with the likes of you would probably give me tetanus...~ */
  IF ~~ THEN REPLY #17062 /* ~Don't judge adventurers by the roughness of their garb. It is a rare day when we don't see a treasure your sheltered mind has never even dreamed of... How much are you asking for that invitation of yours?~ */ GOTO 7
  IF ~~ THEN REPLY #17063 /* ~Then go to your silly inauguration. I've got better things to do.~ */ GOTO 8
  IF ~  ReputationGT(LastTalkedToBy,7)
~ THEN REPLY #17064 /* ~The only way you'll catch tetanus is at the edge of our swords. Now hand over the invitation before we slit your throat.~ */ GOTO 9
  IF ~  ReputationLT(LastTalkedToBy,8)
~ THEN REPLY #17065 /* ~The only way you'll catch tetanus is at the edge of our swords. Now hand over the invitation or we'll slit your throat.~ */ GOTO 10
END

IF ~  True()
~ THEN BEGIN 12 // from: 6.1
  SAY #17066 /* ~Away with you, beggar. I have had enough of your white-knuckled pleading.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
